Bug 149805 - [patch] let sysutils/brasero recognize cdrecord version properly
Summary: [patch] let sysutils/brasero recognize cdrecord version properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 15:20 UTC by buganini
Modified: 2010-09-23 02:30 UTC (History)
0 users

See Also:


Attachments
file.diff (780 bytes, patch)
2010-08-19 15:20 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2010-08-19 15:20:00 UTC
With original source, brasero expect `cdrecord --version` return "Cdrecord-ProDVD-ProBD-Clone %d.%d" but it is actually "Cdrecord-Clone %d.%d"

Fix: in cdrecord.c:
#       define  PRODVD_TITLE    ""
#ifdef  CLONE_WRITE
#       define  CLONE_TITLE     "-Clone"
#else
#       define  CLONE_TITLE     ""
#endif
        if ((flags & F_MSINFO) == 0 || lverbose || flags & F_VERSION) {
                printf("Cdrecord%s%s %s (%s-%s-%s) Copyright (C) 1995-2004 JM-vrg Schilling\n",
                                                                PRODVD_TITLE,
                                                                CLONE_TITLE,
                                                                cdr_version,
                                                                HOST_CPU, HOST_VENDOR, HOST_OS);

PRODVD_TITLE is always defined as "", so we can ignore it, as the patch attached,
but i'm not sure about the CLONE_TITLE.

Patch attached with submission follows:
How-To-Repeat: Try to burn a iso with brasero, it will ask you to install cdrecord, or see Edit->Plugins, there is a version too old message below cdrecord.
Comment 1 Edwin Groothuis freebsd_committer 2010-08-19 15:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-09-05 07:25:26 UTC
marcus      2010-09-05 06:25:12 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/brasero     Makefile 
  Added files:
    sysutils/brasero/files patch-plugins-cdrtools-burn-cdrecord.c 
  Log:
  Allow brasero to properly detect our cdrecord version.
  
  PR:             149805
  Submitted by:   Kuan-Chung Chiu <buganini@gmail.com>
  
  Revision  Changes    Path
  1.31      +1 -0      ports/sysutils/brasero/Makefile
  1.1       +10 -0     ports/sysutils/brasero/files/patch-plugins-cdrtools-burn-cdrecord.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Joe Marcus Clarke freebsd_committer 2010-09-05 07:26:46 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 Frédéric Praca 2010-09-22 22:25:32 UTC
Hi,
unlike Kuan-Chung Chiu, my version of cdrecord (sysutils/cdrtools, not
sysutils/cdrtools-devel) does not provide "Cdrecord-Clone %d.%d" but
"Cdrecord-ProDVD-ProBD-Clone 3.00 (i386-unknown-freebsd8.1) Copyright
(C) 1995-2010 J=F6rg Schilling".
So the fix seems to break Brasero for me.

FYI, here is the output of 'uname -v'
FreeBSD 8.1-STABLE #12: Sat Aug  7 20:46:33 CEST 201

Regards
Fred

--=20
Ce qui ne nous tue pas nous rend plus fort.
	-+- Friedrich Nietzsche -+-
Comment 5 buganini 2010-09-23 02:20:47 UTC
Merci,
I've submitted a new pr
http://www.freebsd.org/cgi/query-pr.cgi?pr=3D150870


Regards
Buganini

On Thu, Sep 23, 2010 at 5:25 AM, Frederic Praca
<frederic.praca@freebsd-fr.org> wrote:
> Hi,
> unlike Kuan-Chung Chiu, my version of cdrecord (sysutils/cdrtools, not
> sysutils/cdrtools-devel) does not provide "Cdrecord-Clone %d.%d" but
> "Cdrecord-ProDVD-ProBD-Clone 3.00 (i386-unknown-freebsd8.1) Copyright
> (C) 1995-2010 J=C3=B6rg Schilling".
> So the fix seems to break Brasero for me.
>
> FYI, here is the output of 'uname -v'
> FreeBSD 8.1-STABLE #12: Sat Aug =C2=A07 20:46:33 CEST 201
>
> Regards
> Fred
>
> --
> Ce qui ne nous tue pas nous rend plus fort.
> =C2=A0 =C2=A0 =C2=A0 =C2=A0-+- Friedrich Nietzsche -+-
>